<?php

/* DCMS Special
 * Дата последнего редактирования 30.09.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

if (isset($_GET['id'])) {
    $public['id'] = intval($_GET['id']);
}
$public = mysql_fetch_array(mysql_query("SELECT * FROM `public` WHERE `id` = '" . $public['id'] . ")'"));

if ($public['id'] == 0) {
    $set['title'] = lang('Нет такого сообщества');
    require_once H . 'sys/inc/thead.php';

    aut();
    err();

    echo "<span class='list-group-item-null list-group-item-danger'>" . lang('Нет такого сообщества') . "</span><br />";
    $msg = "[url=/info.php?id=" . $user['id'] . "] " . $user['nick'] . "[/url] предупрежден за некоректые запросы в сообществах";
    mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '1', '" . $msg . "', '$time')");
    if (!isset($_GET['ajax'])) {
        $_SESSION['message'] = lang('Нет такого сообщества пока предупреждение');
        header('Location: /modules/public/index.php?id=' . $public['id']);
    }
    exit;

    require_once H . 'sys/inc/tfoot.php';
    exit;
}


$set['title'] = lang('Обсуждения') . ' ' . $public['name'];
require_once H . 'sys/inc/thead.php';

if (isset($user) && $user['id'] == $public['id_user'] || $public['f'] == '0') {

    if (isset($_POST['name']) && isset($_POST['msg'])) {

        $name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
        if (utf8_strlen($name) < 3) {
            $err[] = lang('Короткое название для темы');
        }
        if (utf8_strlen($name) > 128) {
            $err[] = lang('Слишком длинное название');
        }
        $mat = antimat($name);
        if ($mat) {
            $err[] = lang('В названии темы обнаружен мат') . ': ' . $mat;
        }

        $name = mysql_real_escape_string($name);

        $msg = $_POST['msg'];
        if (utf8_strlen($msg) < 10) {
            $err[] = lang('Короткое сообщение');
        }
        if (utf8_strlen($msg) > 5000) {
            $err[] = lang('Длина сообщения превышает предел в 5000 символов');
        }

        $mat = antimat($msg);
        if ($mat) {
            $err[] = lang('В тексте сообщения обнаружен мат') . ': ' . $mat;
        }

        $msg = mysql_real_escape_string($msg);

        if (!isset($err)) {
            mysql_query("INSERT INTO `public_forum` (`id_public`, `name`, `time`, `id_user`, `msg`) values('" . $public['id'] . "', '$name', '$time', '" . $user['id'] . "', '$msg')");
            $them['id'] = mysql_insert_id();
            if (!isset($_GET['ajax'])) {
                $_SESSION['message'] = lang('Тема успешно создана');
                header('Location: them.php?id=' . $them['id']);
            }
            exit;
        }
    }
}
aut();
err();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/public.php'>" . lang('Сообщества') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='index.php?id=$public[id]'>" . toOutput($public['name']) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Обсуждения');
echo "</small></div><br />";

$ank = mysql_fetch_array(mysql_query("SELECT * FROM `public_coint` WHERE `id_public` = '" . $public['id'] . "' AND `id_user` = '" . $user['id'] . "' LIMIT 1"));
$pro_ons = mysql_fetch_array(mysql_query("SELECT * FROM `public_coint` WHERE `id_public` = '" . $public['id'] . "' AND `id_user` = '" . $user['id'] . "'"), 0);

if (isset($user) && $ank['id_user'] == $user['id']) {
    if (isset($user) && $user['id'] == $public['id_user'] || $public['f'] == '0' && $user['id'] == $pro_ons['id_user']) {
        echo "<div class='list-group-item-null'>";
        echo "<a class='btn btn-secondary btn-sm' href='forum.php?id=" . $public['id'] . "&amp;act=add'><i class='fa fa-plus fa-fw'></i> Создать тему</a>";
        echo "</div>";
    }
}

if (isset($user) && $user['id'] == $public['id_user'] || $public['f'] == '0' && $user['id'] == $pro_ons['id_user']) {
    if (isset($_GET['act']) && $_GET['act'] == 'add') {
        echo "<form method='post' class='list-group-item-null list-group-item-grey' action='?id=" . $public['id'] . "&amp;act=add'>";
        echo lang('Название') . "<br />";
        echo "<input name='name' maxlength='128' required length='128' type='text' value='' class='form-control'>";
        echo lang('Описание') . "<br />";
        echo "<textarea name='msg' maxlength='5000' required length='5000' class='form-control'></textarea>";

        echo "<br />";

        $doc->Button('btn btn-primary btn-sm', null, 'pencil', 'Опубликовать');
        echo "</form>";
    }
} else {
    echo "<div class='list-group-item-null list-group-item-warning'>" . lang('Вы не можете создавать темы') . "!</div>";
}

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `public_forum` WHERE `id_public` = '" . $public['id'] . "'"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];



if ($k_post == 0) {
    $doc->NoResult();
}

$res = mysql_query("SELECT * FROM `public_forum` WHERE `id_public` = '" . $public['id'] . "' ORDER BY id DESC LIMIT $start, " . $set['p_str'] . "");

while ($row = mysql_fetch_array($res)) {
    echo "<div class='list-group-item-null'>";
    $komm = mysql_result(mysql_query("SELECT COUNT(*) FROM `public_forum` WHERE `id_them` = '" . $row['id'] . "'"), 0);

    echo "<span style='float: right'><i class='fa fa-comment-o fa-fw'></i> $komm</span>";
    echo "<a href='them.php?id=" . $row['id'] . "'><i class='fa fa-commenting fa-fw'></i> " . $row['name'] . "</a>";
    echo "</div>";
    echo "<div class='hr'></div>";
}


if ($k_page > 1) {
    str("?id=" . $public['id'] . "&amp;", $k_page, $page);
} // Вывод страниц

require_once H . 'sys/inc/tfoot.php';
